Show / Hide Table of Contents

# Class MySinkExtensions

##### Inheritance

System.Object
MySinkExtensions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Interface

###### Assembly: Dalamud.dll

##### Syntax

    public static class MySinkExtensions

### Methods

| Improve this Doc View Source

#### EventSink(LoggerSinkConfiguration, IFormatProvider)

##### Declaration

    public static LoggerConfiguration EventSink(this LoggerSinkConfiguration loggerConfiguration, IFormatProvider formatProvider = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Serilog.Configuration.LoggerSinkConfiguration | loggerConfiguration |
System.IFormatProvider | formatProvider |

##### Returns

Type | Description
--- | ---
Serilog.LoggerConfiguration |